#
# spec file for package R-bitops
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global packname  bitops
%global rlibdir   %{_libdir}/R/library
Name:           R-%{packname}
Version:        1.0_6
Release:        bp153.1.18
Summary:        Bitwise Operations
License:        GPL-2.0+
Group:          Development/Libraries/Other
URL:            https://cran.r-project.org/web/packages/bitops
Source:         https://cran.r-project.org/src/contrib/bitops_1.0-6.tar.gz
BuildRequires:  R-base-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  texinfo
BuildRequires:  texlive
Requires:       R-base
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

%description
Functions for bitwise operations on integer vectors.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs

%changelog
* Thu Dec 20 2018 mailaender@opensuse.org
- run spec-cleaner
- use source URLs
* Wed Mar 28 2018 darin@darins.net
- added gcc-c++ build dependency
* Fri Apr 18 2014 darin@darins.net
- fix packaging
* Wed Apr 16 2014 darin@darins.net
- fix packaging
* Wed Apr 16 2014 darin@darins.net
- update spec
* Mon May  7 2012 darin@darins.net
- initial package for OpenSuSE
